<script>
jQuery(document).ready(function($){
	// Update search form elements to match hash
	var url_hash = window.location.hash;
	var hash_array = url_hash.replace('#', '').split('/');
	for (var i = hash_array.length - 1; i >= 0; i--) {
		var current_hash = hash_array[i].split('=');
		if ($('#displet-search-form input[name="' + current_hash[0] + '"][value="' + current_hash[1] + '"]').length) {
			$('#displet-search-form input[name="' + current_hash[0] + '"][value="' + current_hash[1] + '"]').attr('checked', 'checked');
		}
		else if ($('#displet-search-form input[name="' + current_hash[0] + '"]').length){
			$('#displet-search-form input[name="' + current_hash[0] + '"]').val(current_hash[1].replace('%20', ' '));
		}
		else if ($('#displet-search-form select[name="' + current_hash[0] + '"]').length) {
			var value_array = current_hash[1].split(',');
			$(value_array).each(function(i, val){
				$('#displet-search-form select[name="' + current_hash[0] + '"] option[value="' + val.replace('%20', ' ') + '"]').attr('selected', true);
			});
		}
	};
	if (url_hash != '') {
		displetretsidxReturnSearchResults('<?php echo $model["query_url"]; ?>');
	}
	else{
		// Only render map, default listings loaded (already rendered server-side)
		$('#displet-map .displet-listings-loading').show();
		var displet_map_listings_array = new Array();
		var current_lat_total = 0;
		var current_long_total = 0;
		<?php foreach ($model['listings'] as $listing) : if (!empty($listing->latitude) && !empty($listing->longitude)) : ?>
			var this_listing = [<?php echo $listing->latitude; ?>, <?php echo $listing->longitude; ?>, '<?php echo $listing->address; ?>', '<?php echo $listing->permalink; ?>', '<?php echo $listing->list_price; ?>', '<?php echo $listing->image_urls->primary_big; ?>', '<?php echo $listing->square_feet; ?>', '<?php echo $listing->num_bedrooms; ?>', '<?php echo $listing->bathrooms; ?>'];
			displet_map_listings_array.push(this_listing);
			current_lat_total += parseFloat(<?php echo $listing->latitude; ?>);
			current_long_total += parseFloat(<?php echo $listing->longitude; ?>);
		<?php endif; endforeach; ?>
		displetretsidxRenderMap(displet_map_listings_array, current_lat_total, current_long_total);
		$('#displet-map .displet-listings-loading').hide();
	}
	$("#displet-search-form select").chosen({disable_search: true});


	$('#displet-search-form .displet-submit .displet-revise').click(function(){
		displetretsidxAddSearchFormValuesToHash();
		displetretsidxReturnSearchResults('<?php echo $model["query_url"]; ?>');
	});	
	// Submit search on enter key
	$('#displet-search-form').keypress(function(e){
		if (e.which == 13) {
			displetretsidxAddSearchFormValuesToHash();
			displetretsidxReturnSearchResults('<?php echo $model["query_url"]; ?>');
			return false;
		}
	});	
	// Submit quick search on spacebar key when button selected
	$('#displet-search-form .displet-submit .displet-revise').keypress(function(e){
		if (e.which == 32) {
			displetretsidxAddSearchFormValuesToHash();
			displetretsidxReturnSearchResults('<?php echo $model["query_url"]; ?>');
			return false;
		}
	});
});
</script>